Subject: Re: Proxies and draft-ietf-mmusic-sip-100rel-00

From: John Hearty <[email-masked]>
Date: Thu, 22 Apr 1999 11:30 -0500 (CDT)

Agreed.  When proxies see the new headers, they MUST proxy the response.
Unfortunately, this is a base requirement that can't really be noted
in an extension document, or operators will need to make sure their
proxies conform to this extension.  Backward compatibility is a problem
with this extension requirement.

John Hearty
MCI Worldcom

Date: Thu, 22 Apr 1999 09:52 -0500 (CDT)
From: "Adam B. Roach" <[email-masked]>
To: [email-masked]
Sender: [email-masked]
Subject: Proxies and draft-ietf-mmusic-sip-100rel-00

The current draft for 1xx message reliablity specifies that
reliablity is hop-by-hop, not end-to-end, *and* that proxies
are still free to drop provisional messages (i.e. not proxy
them upstream) after acknowledging them.

As I understand it, part of the usefulness of reliable 1xx
messages is the ability to (1) trigger certain required
behavior for gateways into non-SIP networks, and (2) transmit
additional information (e.g. ISUP payloads).

If intervening proxies have the option of discarding 1xx messages
at their discression, the concept of 1xx "reliablity" seems
defeated.

I propose that the draft should be revised so that that, when 
reliable 1xx messages transmission is required, 1xx messages 
must be proxied.

-- 
Adam Roach                 |  Ph: +1 972 583 7594 | 1010 E. Arapaho, MS L-04
Ericsson Inc.              | Fax: +1 972 669 0154 | Richardson, TX 75081
[email-masked]    |                  <*> | USA

---

From: "Adam B. Roach" <[email-masked]>
Date: Thu, 22 Apr 1999 14:20:38 -0500 (CDT)

The current draft already puts requirements on stateful proxies,
including fundimentally altering their behavior. (Stateless proxies
already have to proxy 1xx replies). The addition of a requirement
to proxy all 1xx replies upstream is minor compared to the changes
it already implies in proxies.

On the topic of backwards compatibility, I don't see any issues. Granted,
you can't use stateful proxies which are unaware of the reliable 1xx
extension mechanism in a network which requires this extension, but
this is well addressed in the current draft. Proxies which are aware
of the extension, and always proxy 1xx responses (regardless of
whether the reliable 1xx extensions are required) don't even break
the protocol, because dropping 1xx messages is done at the proxies'
discression in the SIP spec.

-- 
Adam Roach -- [email-masked] -- Standard Disclaimers, etc. <*>
  RSA in one line of DC: {k}=key; {e}=exponent; {m}=message, all in hex.
  16dio{m}sM{e}sN0[lN*1{k}[d2%Sa2/d0<X+d*lMLa^*lN%0]dsXx++lMlN/dsM0<j]dsjxp
  Exporting the above line is a violation of U.S. weapons trafficking laws, 
  subject to fines and/or imprisonment, as prescribed by 22 U.S.C. 2778(c)
  ******  Write your congresspeople and tell them you SUPPORT HR 695  ******